Serv-U < 9.1.0.0 TEA Decoder Remote Stack Buffer Overflow

medium Nessus Network Monitor Plugin ID 5237

Synopsis

The remote host is vulnerable to a remote buffer overflow attack.

Description

The remote host is running Serv-U File Server, an FTP server for Windows. The installed version is earlier than 9.1.0.0. Such versions are potentially affected by a remote buffer overflow vulnerability caused by a boundary error in a function when processing a hexadecimal representation of a string using a TEA decoding algorithm.

Solution

Upgrade to Serv-U version 9.1.0.0 or later.

See Also

http://secunia.com/secunia_research/2009-46

Plugin Details

Severity: Medium

ID: 5237

Family: FTP Servers

Published: 11/24/2009

Updated: 3/6/2019

Nessus ID: 42934

Risk Information

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 5.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:ND

CVSS v3

Risk Factor: Medium

Base Score: 5.9

Temporal Score: 5.2

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:X

Vulnerability Information

CPE: cpe:2.3:a:serv-u:serv-u:*:*:*:*:*:*:*:*

Patch Publication Date: 11/17/2009

Vulnerability Publication Date: 11/18/2009

Exploitable With

Metasploit (Rhinosoft Serv-U Session Cookie Buffer Overflow)

Reference Information

CVE: CVE-2009-4006

BID: 37051